- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TAssetManager
TCacheHttpSession
THttpCookie
THttpCookieCollection
THttpRequest
THttpRequestUrlFormat
THttpResponse
THttpResponseAdapter
THttpSession
THttpSessionCookieMode
THttpUtility
TSessionIterator
TUri
TUrlManager
TUrlMapping
TUrlMappingPattern

Keyword

# Class TUri

    TComponent
       |
       --TUri

TUri class

TUri represents a URI. Given a URI http://joe:whatever@example.com:8080/path/to/script.php?param=value#anchor it will be decomposed as follows,

- scheme: http
- host: example.com
- port: 8080
- user: joe
- password: whatever
- path: /path/to/script.php
- query: param=value
- fragment: anchor

Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Constructor Summary
public | __construct Array Constructor.

Method Summary
string | getFragment ()
string | getHost ()
string | getPassword ()
string | getPath ()
integer | getPort ()
string | getQuery ()
string | getScheme ()
string | getUri ()
string | getUser ()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constructor Details

## __construct

public __construct | Array

Constructor.

Decomposes the specified URI into parts.

Throws: TInvalidDataValueException if URI is of bad format

Method Details

## getFragment

public string getFragment | ()

Output
string | fragment of the URI
Exception

## getHost

public string getHost | ()

Output
string | hostname of the URI
Exception

## getPassword

public string getPassword | ()

Output
string | password of the URI
Exception

## getPath

public string getPath | ()

Output
string | path of the URI
Exception

## getPort

public integer getPort | ()

Output
integer | port number of the URI
Exception

## getQuery

public string getQuery | ()

Output
string | query string of the URI
Exception

## getScheme

public string getScheme | ()

Output
string | scheme of the URI, such as 'http', 'https', 'ftp', etc.
Exception

## getUri

public string getUri | ()

Output
string | URI
Exception

## getUser

public string getUser | ()

Output
string | username of the URI
Exception